org.keycloak.services.managers

## Class HttpAuthenticationManager

- java.lang.Object
- - org.keycloak.services.managers.HttpAuthenticationManager

-     public class HttpAuthenticationManager
      extends Object

  Handle HTTP authentication types requiring complex handshakes with multiple HTTP request/responses
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `HttpAuthenticationManager.HttpAuthChallenge`
    `class` | `HttpAuthenticationManager.HttpAuthOutput`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpAuthenticationManager(KeycloakSession session, ClientSessionModel clientSession, RealmModel realm, javax.ws.rs.core.UriInfo uriInfo, org.jboss.resteasy.spi.HttpRequest request, ClientConnection clientConnection, EventBuilder event)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpAuthenticationManager.HttpAuthOutput` | `spnegoAuthenticate(javax.ws.rs.core.HttpHeaders headers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpAuthenticationManager

          public HttpAuthenticationManager(KeycloakSession session,
                                   ClientSessionModel clientSession,
                                   RealmModel realm,
                                   javax.ws.rs.core.UriInfo uriInfo,
                                   org.jboss.resteasy.spi.HttpRequest request,
                                   ClientConnection clientConnection,
                                   EventBuilder event)

  - ### Method Detail

    - #### spnegoAuthenticate

          public HttpAuthenticationManager.HttpAuthOutput spnegoAuthenticate(javax.ws.rs.core.HttpHeaders headers)

Copyright © 2015. All rights reserved.